CVE

CVE-2014-6321 | MS14-066

Installation

Usage

./winshock_test.sh 10.0.0.1 3389
./winshock_test.sh 10.0.0.2 443

Examples

./winshock_test.sh 10.10.10.16 3389

Checking if script is up-to-date...
Script is up-to-date.
[...]
Testing if OpenSSL supports the ciphers we are checking for: YES

Testing 10.10.10.16:3389 for availability of SSL ciphers added in MS14-066...
Testing cipher DHE-RSA-AES256-GCM-SHA384:   UNSUPPORTED
Testing cipher DHE-RSA-AES128-GCM-SHA256:   UNSUPPORTED
Testing cipher AES256-GCM-SHA384:           UNSUPPORTED
Testing cipher AES128-GCM-SHA256:           UNSUPPORTED

Checking if target system is running Windows Server 2012 or later...
Testing cipher ECDHE-RSA-AES256-SHA384:     UNSUPPORTED
Testing cipher ECDHE-RSA-AES256-SHA:        UNSUPPORTED

10.10.10.16:3389 is patched: NO
[...]

URL list